/* file: outlierdetection_multivariate_dense_default_batch_fpt_cpu.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

/*
//++
//  Implementation of outliers detection algorithm.
//--
*/

#include "src/algorithms/outlierdetection_multivariate/outlierdetection_multivariate_batch_container.h"
#include "src/algorithms/outlierdetection_multivariate/outlierdetection_multivariate_kernel.h"
#include "src/algorithms/outlierdetection_multivariate/outlierdetection_multivariate_dense_default_impl.i"

namespace daal
{
namespace algorithms
{
namespace multivariate_outlier_detection
{
namespace interface1
{
template class BatchContainer<DAAL_FPTYPE, defaultDense, DAAL_CPU>;

/**
 * Added to support deprecated baconDense value
 */
template class BatchContainer<DAAL_FPTYPE, baconDense, DAAL_CPU>;

} // namespace interface1
namespace internal
{
template class OutlierDetectionKernel<DAAL_FPTYPE, defaultDense, DAAL_CPU>;

/**
 * Added to support deprecated baconDense value
 */
template class OutlierDetectionKernel<DAAL_FPTYPE, baconDense, DAAL_CPU>;

} // namespace internal

} // namespace multivariate_outlier_detection

} // namespace algorithms

} // namespace daal
