/* file: TrainingPartialResult.java */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

/**
 * @ingroup training
 * @{
 */
package com.intel.daal.algorithms.classifier.training;

import com.intel.daal.utils.*;
import com.intel.daal.services.DaalContext;

/**
 * <a name="DAAL-CLASS-ALGORITHMS__CLASSIFIER__TRAINING__TRAININGPARTIALRESULT"></a>
 * @brief Provides methods to access partial results obtained with the compute() method of the classifier model training algorithm in the online
 *        or distributed processing mode
 */

public class TrainingPartialResult extends com.intel.daal.algorithms.PartialResult {
    /** @private */
    static {
        LibUtils.loadLibrary();
    }

    /**
     * Constructs the partial result for the classifier training algorithm in the online or distributed processing mode
     * @param context   Context to manage the partial result for the classifier training algorithm in the online or distributed processing mode
     */
    public TrainingPartialResult(DaalContext context) {
        super(context);
    }

    public TrainingPartialResult(DaalContext context, long cObject) {
        super(context, cObject);
    }
}
/** @} */
