/* file: ModelQR.java */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

/**
 * @ingroup linear_regression
 * @{
 */
package com.intel.daal.algorithms.linear_regression;

import com.intel.daal.utils.*;
import com.intel.daal.services.DaalContext;

/**
 * <a name="DAAL-CLASS-ALGORITHMS__LINEAR_REGRESSION__MODELQR"></a>
 * @brief %Model trained by the linear regression algorithm using the QR decomposition-based method
 *
 */
public class ModelQR extends Model {
    /** @private */
    static {
        LibUtils.loadLibrary();
    }

    public ModelQR(DaalContext context, long cModel) {
        super(context, cModel);
    }
}
/** @} */
