/* file: parameter.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>
#include "daal.h"
#include "com_intel_daal_algorithms_linear_regression_Parameter.h"

using namespace daal;
using namespace daal::algorithms;

/*
 * Class:     com_intel_daal_algorithms_linear_regression_Parameter
 * Method:    cParInit
 * Signature:()J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_linear_1regression_Parameter_cParInit(JNIEnv * env, jobject thisObj)
{
    return (jlong) new linear_regression::Parameter();
}

/*
 * Class:     com_intel_daal_algorithms_linear_regression_Parameter
 * Method:    cSetInterceptFlag
 * Signature:(JZ)V
 */
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_linear_1regression_Parameter_cSetInterceptFlag(JNIEnv * env, jobject thisObj, jlong algAddr,
                                                                                                     jboolean flag)
{
    (*(linear_regression::Parameter *)algAddr).interceptFlag = flag;
}

/*
 * Class:     com_intel_daal_algorithms_linear_regression_Parameter
 * Method:    cGetInterceptFlag
 * Signature:(J)Z
 */
JNIEXPORT jboolean JNICALL Java_com_intel_daal_algorithms_linear_1regression_Parameter_cGetInterceptFlag(JNIEnv * env, jobject thisObj, jlong algAddr)
{
    return (*(linear_regression::Parameter *)algAddr).interceptFlag;
}
