/* file: batch_input.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>
#include "com_intel_daal_algorithms_normalization_zscore_Input.h"

#include "daal.h"

#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES()
using namespace daal::algorithms::normalization::zscore;

#include "com_intel_daal_algorithms_normalization_zscore_InputId.h"
#define InputDataId com_intel_daal_algorithms_normalization_zscore_InputId_InputDataId

/*
 * Class:     com_intel_daal_algorithms_normalization_zscore_Input
 * Method:    cSetInput
 * Signature: (JIJ)V
 */
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_normalization_zscore_Input_cSetInput(JNIEnv * jenv, jobject thisObj, jlong inputAddr, jint id,
                                                                                           jlong ntAddr)
{
    if (id == InputDataId)
    {
        jniInput<normalization::zscore::Input>::set<normalization::zscore::InputId, NumericTable>(inputAddr, normalization::zscore::data, ntAddr);
    }
}

/*
 * Class:     com_intel_daal_algorithms_normalization_zscore_Input
 * Method:    cGetInputTable
 * Signature: (JI)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_normalization_zscore_Input_cGetInputTable(JNIEnv * jenv, jobject thisObj, jlong inputAddr,
                                                                                                 jint id)
{
    if (id == InputDataId)
    {
        return jniInput<normalization::zscore::Input>::get<normalization::zscore::InputId, NumericTable>(inputAddr, normalization::zscore::data);
    }

    return (jlong)0;
}
