/* file: input.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>

#include "daal.h"

#include "com_intel_daal_algorithms_optimization_solver_iterative_solver_Input.h"

#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES()
using namespace daal::algorithms::optimization_solver;

/*
 * Class:     com_intel_daal_algorithms_optimization_solver_iterative_solver_Input
 * Method:    cSetInput
 * Signature: (JIJ)V
 */
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_optimization_1solver_iterative_1solver_Input_cSetInput(JNIEnv *, jobject, jlong inputAddr,
                                                                                                             jint id, jlong ntAddr)
{
    jniInput<iterative_solver::Input>::set<iterative_solver::InputId, NumericTable>(inputAddr, id, ntAddr);
}

/*
 * Class:     com_intel_daal_algorithms_optimization_solver_iterative_solver_Input
 * Method:    cGetInput
 * Signature: (JI)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_optimization_1solver_iterative_1solver_Input_cGetInput(JNIEnv *, jobject, jlong inputAddr,
                                                                                                              jint id)
{
    return jniInput<iterative_solver::Input>::get<iterative_solver::InputId, NumericTable>(inputAddr, id);
}

/*
* Class:     com_intel_daal_algorithms_optimization_solver_iterative_solver_Input
* Method:    cSetOptionalInput
* Signature: (JIJ)V
*/
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_optimization_1solver_iterative_1solver_Input_cSetOptionalInput(JNIEnv *, jobject,
                                                                                                                     jlong inputAddr, jint id,
                                                                                                                     jlong argAddr)
{
    jniInput<iterative_solver::Input>::set<iterative_solver::OptionalInputId, OptionalArgument>(inputAddr, id, argAddr);
}

/*
* Class:     com_intel_daal_algorithms_optimization_solver_iterative_solver_Input
* Method:    cGetOptionalInput
* Signature: (JI)J
*/
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_optimization_1solver_iterative_1solver_Input_cGetOptionalInput(JNIEnv *, jobject,
                                                                                                                      jlong inputAddr, jint id)
{
    return jniInput<iterative_solver::Input>::get<iterative_solver::OptionalInputId, OptionalArgument>(inputAddr, id);
}
