/* file: train_batch.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>

#include "daal.h"
#include "com_intel_daal_algorithms_stump_regression_training_TrainingBatch.h"
#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES();
using namespace daal::algorithms::stump::regression::training;

JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_stump_regression_training_TrainingBatch_cInit(JNIEnv * env, jobject, jint prec, jint method)
{
    return jniBatch<stump::regression::training::Method, Batch, defaultDense>::newObj(prec, method);
}

JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_stump_regression_training_TrainingBatch_cInitParameter(JNIEnv * env, jobject, jlong self,
                                                                                                              jint prec, jint method)
{
    return jniBatch<stump::regression::training::Method, Batch, defaultDense>::getParameter(prec, method, self);
}

JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_stump_regression_training_TrainingBatch_cGetResult(JNIEnv * env, jobject, jlong self,
                                                                                                          jint prec, jint method)
{
    return jniBatch<stump::regression::training::Method, Batch, defaultDense>::getResult(prec, method, self);
}

JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_stump_regression_training_TrainingBatch_cClone(JNIEnv * env, jobject, jlong self, jint prec,
                                                                                                      jint method)
{
    return jniBatch<stump::regression::training::Method, Batch, defaultDense>::getClone(prec, method, self);
}
