/* file: distributed.cpp */
/*******************************************************************************
* Copyright 2014-2020 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>

#include "com_intel_daal_algorithms_svd_DistributedStep2Master.h"
#include "com_intel_daal_algorithms_svd_DistributedStep3Local.h"

#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES()
using namespace daal::algorithms::svd;

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cInitDistributed
 * Signature:(II)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cInitDistributed(JNIEnv * env, jobject thisObj, jint prec,
                                                                                                   jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::newObj(prec, method);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cInitParameter
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cInitParameter(JNIEnv * env, jobject thisObj, jlong algAddr,
                                                                                                 jint prec, jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::getParameter(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cGetInput
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cGetInput(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                            jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::getInput(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cInitParameter
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cGetResult(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                             jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::getResult(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cGetPartialResult
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cGetPartialResult(JNIEnv * env, jobject thisObj, jlong algAddr,
                                                                                                    jint prec, jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::getPartialResult(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep2Master
 * Method:    cClone
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep2Master_cClone(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                         jint method)
{
    return jniDistributed<step2Master, svd::Method, Distributed, defaultDense>::getClone(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cInitDistributed
 * Signature:(II)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cInitDistributed(JNIEnv * env, jobject thisObj, jint prec,
                                                                                                  jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::newObj(prec, method);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cInitParameter
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cInitParameter(JNIEnv * env, jobject thisObj, jlong algAddr,
                                                                                                jint prec, jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::getParameter(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cGetInput
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cGetInput(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                           jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::getInput(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cGetResult
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cGetResult(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                            jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::getResult(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cGetPartialResult
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cGetPartialResult(JNIEnv * env, jobject thisObj, jlong algAddr,
                                                                                                   jint prec, jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::getPartialResult(prec, method, algAddr);
}

/*
 * Class:     com_intel_daal_algorithms_svd_DistributedStep3Local
 * Method:    cClone
 * Signature:(JII)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_svd_DistributedStep3Local_cClone(JNIEnv * env, jobject thisObj, jlong algAddr, jint prec,
                                                                                        jint method)
{
    return jniDistributed<step3Local, svd::Method, Distributed, defaultDense>::getClone(prec, method, algAddr);
}
